import java.io.*;
import java.util.*;

public class CrosswordPuzzler {

public String[] createPuzzle (int width, int height, String[] dict) {
  String[] ret = new String[height];
  ret[0] = dict[0];
  while (ret[0].length() < width) ret[0] += '-';
  char[] chars = new char[width];
  Arrays.fill(chars, '-');
  for (int i = 1; i < height; i++) ret[i] = new String(chars);
  return ret;
}

  public static void main(String[] args) {
    try {
      CrosswordPuzzler sol = new CrosswordPuzzler();      
      int width = Integer.parseInt(BR.readLine());
      int height = Integer.parseInt(BR.readLine());
      String[] dict = new String[Integer.parseInt(BR.readLine())];
      for (int i = 0; i < dict.length; i++)
        dict[i] = BR.readLine();
      String[] ret = sol.createPuzzle(width, height, dict);
      System.out.println(ret.length);
      for (int i = 0; i < ret.length; i++)
        System.out.println(ret[i]);
    } catch (Exception e) {}
  }  
 
}

class BR {
  public static BufferedReader br;
  static {
    br = new BufferedReader(new InputStreamReader(System.in));
  }
  public static String readLine() {
    try { return br.readLine(); } catch (IOException e) { return ""; }
  }
}
